Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class SynchronizedPriorityQueue

    java.lang.Object
      |
      +--org.apache.commons.collections.SynchronizedPriorityQueue

All Implemented Interfaces:
  PriorityQueue

Deprecated. PriorityQueue is replaced by the Buffer interface, see buffer subpackage. Due to be removed in v4.0.

public final class SynchronizedPriorityQueue
extends Object
implements PriorityQueue

A thread safe version of the PriorityQueue. Provides synchronized wrapper methods for all the methods defined in the PriorityQueue interface.

Since:
  Commons Collections 1.0
Version:
  $Revision: 1.13 $ $Date: 2004/02/18 01:15:42 $
Author:
  Ram Chidambaram

Field Summary
`protected PriorityQueue` | `m_priorityQueue` Deprecated. The underlying priority queue.

Constructor Summary
`SynchronizedPriorityQueue(PriorityQueue priorityQueue)` Deprecated. Constructs a new synchronized priority queue.

Method Summary
`void` | `clear()` Deprecated. Clear all elements from queue.
`void` | `insert(Object element)` Deprecated. Insert an element into queue.
`boolean` | `isEmpty()` Deprecated. Test if queue is empty.
`Object` | `peek()` Deprecated. Return element on top of heap but don't remove it.
`Object` | `pop()` Deprecated. Return element on top of heap and remove it.
`String` | `toString()` Deprecated. Returns a string representation of the underlying queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_priorityQueue

    protected final PriorityQueue m_priorityQueue

  Deprecated.
  The underlying priority queue.

Constructor Detail

### SynchronizedPriorityQueue

    public SynchronizedPriorityQueue(PriorityQueue priorityQueue)

  Deprecated.
  Constructs a new synchronized priority queue.

Parameters:
  `priorityQueue` - the priority queue to synchronize

Method Detail

### clear

    public void clear()

  Deprecated.
  Clear all elements from queue.

  Specified by:
    `clear` in interface `PriorityQueue`

### isEmpty

    public boolean isEmpty()

  Deprecated.
  Test if queue is empty.

  Specified by:
    `isEmpty` in interface `PriorityQueue`
  Returns:
    true if queue is empty else false.

### insert

    public void insert(Object element)

  Deprecated.
  Insert an element into queue.

  Specified by:
    `insert` in interface `PriorityQueue`
  Parameters:
    `element` - the element to be inserted

### peek

    public Object peek()
                throws NoSuchElementException

  Deprecated.
  Return element on top of heap but don't remove it.

  Specified by:
    `peek` in interface `PriorityQueue`
  Returns:
    the element at top of heap
  Throws:
    `NoSuchElementException` - if isEmpty() == true

### pop

    public Object pop()
               throws NoSuchElementException

  Deprecated.
  Return element on top of heap and remove it.

  Specified by:
    `pop` in interface `PriorityQueue`
  Returns:
    the element at top of heap
  Throws:
    `NoSuchElementException` - if isEmpty() == true

### toString

    public String toString()

  Deprecated.
  Returns a string representation of the underlying queue.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the underlying queue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.